Announcement

Collapse
No announcement yet.

SQL Error During Ubuntu Command Prompt Upgrade From 4.2.2 to 5.1

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • SQL Error During Ubuntu Command Prompt Upgrade From 4.2.2 to 5.1

    I was just trying upgrading my test server from 4.2.2 to 5.1 at the Ubuntu command prompt and upgrade.php exited late into the upgrade with the below error. Has anyone come across that? This resulted in just getting a 'white page' when I try to access my upgraded forum.


    Step 25 - Updating user table

    ----------------------------------
    You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'WHERE (options & )' at li ne 4
    ----------------------------------
    UPDATE user
    SET options = options -
    WHERE (options & )[email protected]:~/public_html/

  • #2
    Use the web based upgrader.
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API

    Comment


    • #3
      I tried and the web based upgrader aborted at 98% with a bunch of error pairs as below :
      "<b>Warning</b>: Cannot use a scalar value as an array in <b>/home/ubuntu/public_html/vb5/core/vb/library/style.php</b> on line <b>659</b><br />"
      "<b>Warning</b>: Cannot use a scalar value as an array in <b>/home/ubuntu/public_html/vb5/core/vb/library/style.php</b> on line <b>660</b><br />"
      followed by :
      "<upgrade>
      <message replace="0">Import Done</message>
      <status>Status: Processing XML, Step 14 of 17</status>
      <longversion>final</longversion>
      <version>final</version>
      <nextstep>14</nextstep>
      </upgrade>"

      Comment


      • #4
        I managed to complete installation by running the upgrader again and it jumped to, I think, where it aborted last time.

        Looking at the upgraded forum though I'm getting no data displayed on the Blogs tab (the data appears to be present in the blog% tables in the database) and on the Groups tab it says that all the latest topics are by user 'Guest' when they're by registered members :-s


        Edit - The delete post function doesn't appear to work either, it just hangs.
        woodmj
        Senior Member
        Last edited by woodmj; Mon 17 Mar '14, 10:52am.

        Comment


        • #5
          So it seems it's best to shelve upgrading to VB5 for now as there still seem to be many problems. I had hoped that once 5.1 went gold it would be good to go but that doesn't appear to be the case :-/

          Comment

          Related Topics

          Collapse

          Working...
          X